#!/bin/bash
# 
# SCRIPT NAME:
# gw2.sh
#
# AUTHOR:
# Severin Kaderli <severin.kaderli@gmail.com>
#
# DESCRIPTION:
# Starts Guild Wars 2 inside Wine.
#
# USAGE:
# ./gw2.sh
# Set custom wineprefix
export WINEPREFIX="${HOME}/Games/Guild_Wars_2/"

# Set wine to 64-bit
export WINEARCH=win64

# Optimize performance
export __GL_THREADED_OPTIMIZATIONS=0
export __GL_SYNC_TO_VBLANK=0
export __GL_YIELD="NOTHING"

# Disable debug messages
export WINEDEBUG=-all
export LOGFILE=/dev/null

# Enable esync
export WINEESYNC=1
 
# Run it using optirun
optirun -b primus wine64 "${WINEPREFIX}/drive_c/Program Files/Guild Wars 2/Gw2-64.exe" -dx9single -mapLoadInfo
